签名

GET https://olinke.com/api/signatures/
curl --request GET \
--url 'https://olinke.com/api/signatures/' \
--header 'Authorization: Bearer {api_key}' \
参数 细节 描述
search 可选的 字符串 搜索字符串。
search_by 可选的 字符串 您正在按哪个字段搜索。允许的值为:name
datetime_field 可选的 字符串 允许的值:datetime, last_datetime
datetime_start 可选的 字符串 Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end 可选的 字符串 Filter results up to this datetime. Y-m-d H:i:s format.
order_by 可选的 字符串 按哪个字段排序结果。允许的值有:signature_id, datetime, last_datetime, name
order_type 可选的 字符串 结果的排序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。
page 可选的 整数 您想要结果的页码。默认为 1
results_per_page 可选的 整数 每页您想要多少个结果。允许的值是:10, 25, 50, 100, 250, 500, 1000。默认为25
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "project_id": 0,
            "name": "John Doe",
            "template": "mars",
            "settings": {
                "direction": "ltr",
                "is_removed_branding": true,
                "image_url": "",
                "sign_off": "Regards,",
                "full_name": "John Doe",
                "job_title": "Software Engineer",
                "department": "Engineering",
                "company": "Example Company",
                "email": "john@example.com",
                "website_name": "Example",
                "website_url": "https:\/\/example.com\/",
                "address": "123 Example Street",
                "address_url": "",
                "phone_number": "",
                "whatsapp": "",
                "facebook_messenger": "",
                "telegram": "",
                "disclaimer": "",
                "font_family": "arial",
                "font_size": 14,
                "width": 500,
                "image_width": 50,
                "image_border_radius": 0,
                "socials_width": 20,
                "socials_padding": 10,
                "separator_size": 0,
                "border_radius": 10,
                "background_color": "#f9f9f9",
                "border_color": "#e0e0e0",
                "theme_color": "#000000",
                "full_name_color": "#000000",
                "text_color": "#000000",
                "link_color": "#000000",
                "facebook": "johndoe",
                "threads": "johndoe",
                "x": "johndoe",
                "instagram": "johndoe",
                "youtube": "johndoe",
                "tiktok": "",
                "spotify": "",
                "pinterest": "",
                "linkedin": "",
                "snapchat": "",
                "twitch": "",
                "discord": "",
                "github": "",
                "reddit": ""
            },
            "last_datetime": null,
            "datetime": "2026-08-13 14:59:03"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total_results": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://olinke.com/api/signatures?page=1",
        "last": "https://olinke.com/api/signatures?page=1",
        "next": null,
        "prev": null,
        "self": "https://olinke.com/api/signatures?page=1"
    }
}
GET https://olinke.com/api/signatures/{signature_id}
curl --request GET \
--url 'https://olinke.com/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 0,
        "name": "Jane Doe",
        "template": "mars",
        "settings": {
            "direction": "ltr",
            "is_removed_branding": true,
            "image_url": "",
            "sign_off": "Regards,",
            "full_name": "Jane Doe",
            "job_title": "Software Engineer",
            "department": "Engineering",
            "company": "Example Company",
            "email": "jane@example.com",
            "website_name": "Example",
            "website_url": "https:\/\/example.com\/",
            "address": "123 Example Street",
            "address_url": "",
            "phone_number": "",
            "whatsapp": "",
            "facebook_messenger": "",
            "telegram": "",
            "disclaimer": "",
            "font_family": "arial",
            "font_size": 14,
            "width": 500,
            "image_width": 50,
            "image_border_radius": 0,
            "socials_width": 20,
            "socials_padding": 10,
            "separator_size": 0,
            "border_radius": 10,
            "background_color": "#f9f9f9",
            "border_color": "#e0e0e0",
            "theme_color": "#000000",
            "full_name_color": "#000000",
            "text_color": "#000000",
            "link_color": "#000000",
            "facebook": "janedoe",
            "threads": "janedoe",
            "x": "janedoe",
            "instagram": "janedoe",
            "youtube": "janedoe",
            "tiktok": "",
            "spotify": "",
            "pinterest": "",
            "linkedin": "",
            "snapchat": "",
            "twitch": "",
            "discord": "",
            "github": "",
            "reddit": ""
        },
        "last_datetime": null,
        "datetime": "2026-08-13 14:59:03"
    }
}
POST https://olinke.com/api/signatures
参数 细节 描述
name 必需 字符串 名字
project_id 可选的 整数 一个项目将帮助您对资源进行分类。
template 可选的 字符串 允许的值:plain_text, mars, mercury, venus, nova
direction 可选的 字符串 允许的值:ltr, rtl
is_removed_branding 可选的 布尔值 Remove branding
image_url 可选的 字符串 Only use JPG, JPEG, GIF, PNG images.
sign_off 可选的 字符串 Sign off
full_name 可选的 字符串 Full name
job_title 可选的 字符串 Job title
department 可选的 字符串 Department
company 可选的 字符串 Company
email 可选的 字符串 电子邮件
website_name 可选的 字符串 Website name
website_url 可选的 字符串 Website URL
address 可选的 字符串 Address
address_url 可选的 字符串 Link to a Google maps location, for example.
phone_number 可选的 字符串 Phone number
whatsapp 可选的 字符串 WhatsApp
facebook_messenger 可选的 字符串 Facebook messenger username
telegram 可选的 字符串 Telegram username
disclaimer 可选的 字符串 Disclaimer text
font_family 可选的 字符串 允许的值:arial, verdana, helvetica, times_new_roman, georgia
font_size 可选的 整数 允许的值:12-18
width 可选的 整数 允许的值:300-600
image_width 可选的 整数 允许的值:45-150
image_border_radius 可选的 整数 允许的值:0-100
socials_width 可选的 整数 允许的值:15-30
socials_padding 可选的 整数 允许的值:5-15
separator_size 可选的 整数 允许的值:0-5
border_radius 可选的 整数 允许的值:0-30
background_color 可选的 字符串 Background color
border_color 可选的 字符串 Border color
theme_color 可选的 字符串 Theme color
full_name_color 可选的 字符串 Full name color
text_color 可选的 字符串 Text color
link_color 可选的 字符串 Link color
facebook 可选的 字符串 Facebook username
threads 可选的 字符串 Threads username
x 可选的 字符串 X username
instagram 可选的 字符串 Instagram username
youtube 可选的 字符串 YouTube channel
tiktok 可选的 字符串 TikTok username
spotify 可选的 字符串 Spotify username
pinterest 可选的 字符串 Pinterest username
linkedin 可选的 字符串 LinkedIn username
snapchat 可选的 字符串 Snapchat username
twitch 可选的 字符串 Twitch username
discord 可选的 字符串 Discord user id
github 可选的 字符串 Github username
reddit 可选的 字符串 Reddit username
curl --request POST \
--url 'https://olinke.com/api/signatures' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe' \
--form 'template=nova' \
--form 'full_name=Jane Doe' \
--form 'job_title=Software Engineer' \
--form 'company=Example Company' \
--form 'email=jane@example.com' \
--form 'background_color=#f8fafc' \
--form 'border_color=#cbd5e1' \
--form 'theme_color=#2563eb'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 0,
        "name": "Jane Doe",
        "template": "nova",
        "settings": {
            "direction": "ltr",
            "is_removed_branding": false,
            "image_url": "",
            "sign_off": "Regards,",
            "full_name": "Jane Doe",
            "job_title": "Software Engineer",
            "department": "",
            "company": "Example Company",
            "email": "jane@example.com",
            "website_name": "",
            "website_url": "",
            "address": "",
            "address_url": "",
            "phone_number": "",
            "whatsapp": null,
            "facebook_messenger": "",
            "telegram": "",
            "disclaimer": "",
            "font_family": "arial",
            "font_size": 14,
            "width": 500,
            "image_width": 50,
            "image_border_radius": 0,
            "socials_width": 20,
            "socials_padding": 10,
            "separator_size": 1,
            "border_radius": 10,
            "background_color": "#f8fafc",
            "border_color": "#cbd5e1",
            "theme_color": "#2563eb",
            "full_name_color": "#000000",
            "text_color": "#000000",
            "link_color": "#000000",
            "facebook": "",
            "threads": "",
            "x": "",
            "instagram": "",
            "youtube": "",
            "tiktok": "",
            "spotify": "",
            "pinterest": "",
            "linkedin": "",
            "snapchat": "",
            "twitch": "",
            "discord": "",
            "github": "",
            "reddit": ""
        },
        "last_datetime": null,
        "datetime": "2026-08-13 14:59:03"
    }
}
POST https://olinke.com/api/signatures/{signature_id}
参数 细节 描述
name 可选的 字符串 名字
project_id 可选的 整数 一个项目将帮助您对资源进行分类。
template 可选的 字符串 允许的值:plain_text, mars, mercury, venus, nova
direction 可选的 字符串 允许的值:ltr, rtl
is_removed_branding 可选的 布尔值 Remove branding
image_url 可选的 字符串 Only use JPG, JPEG, GIF, PNG images.
sign_off 可选的 字符串 Sign off
full_name 可选的 字符串 Full name
job_title 可选的 字符串 Job title
department 可选的 字符串 Department
company 可选的 字符串 Company
email 可选的 字符串 电子邮件
website_name 可选的 字符串 Website name
website_url 可选的 字符串 Website URL
address 可选的 字符串 Address
address_url 可选的 字符串 Link to a Google maps location, for example.
phone_number 可选的 字符串 Phone number
whatsapp 可选的 字符串 WhatsApp
facebook_messenger 可选的 字符串 Facebook messenger username
telegram 可选的 字符串 Telegram username
disclaimer 可选的 字符串 Disclaimer text
font_family 可选的 字符串 允许的值:arial, verdana, helvetica, times_new_roman, georgia
font_size 可选的 整数 允许的值:12-18
width 可选的 整数 允许的值:300-600
image_width 可选的 整数 允许的值:45-150
image_border_radius 可选的 整数 允许的值:0-100
socials_width 可选的 整数 允许的值:15-30
socials_padding 可选的 整数 允许的值:5-15
separator_size 可选的 整数 允许的值:0-5
border_radius 可选的 整数 允许的值:0-30
background_color 可选的 字符串 Background color
border_color 可选的 字符串 Border color
theme_color 可选的 字符串 Theme color
full_name_color 可选的 字符串 Full name color
text_color 可选的 字符串 Text color
link_color 可选的 字符串 Link color
facebook 可选的 字符串 Facebook username
threads 可选的 字符串 Threads username
x 可选的 字符串 X username
instagram 可选的 字符串 Instagram username
youtube 可选的 字符串 YouTube channel
tiktok 可选的 字符串 TikTok username
spotify 可选的 字符串 Spotify username
pinterest 可选的 字符串 Pinterest username
linkedin 可选的 字符串 LinkedIn username
snapchat 可选的 字符串 Snapchat username
twitch 可选的 字符串 Twitch username
discord 可选的 字符串 Discord user id
github 可选的 字符串 Github username
reddit 可选的 字符串 Reddit username
curl --request POST \
--url 'https://olinke.com/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe Signature' \
--form 'border_radius=16' \
--form 'background_color=#fff7ed' \
--form 'border_color=#fed7aa' \
--form 'theme_color=#c2410c'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 0,
        "name": "Jane Doe Signature",
        "template": "nova",
        "settings": {
            "direction": "ltr",
            "is_removed_branding": false,
            "image_url": "",
            "sign_off": "Regards,",
            "full_name": "Jane Doe",
            "job_title": "Software Engineer",
            "department": "",
            "company": "Example Company",
            "email": "jane@example.com",
            "website_name": "",
            "website_url": "",
            "address": "",
            "address_url": "",
            "phone_number": "",
            "whatsapp": null,
            "facebook_messenger": "",
            "telegram": "",
            "disclaimer": "",
            "font_family": "arial",
            "font_size": 14,
            "width": 500,
            "image_width": 50,
            "image_border_radius": 0,
            "socials_width": 20,
            "socials_padding": 10,
            "separator_size": 1,
            "border_radius": 16,
            "background_color": "#fff7ed",
            "border_color": "#fed7aa",
            "theme_color": "#c2410c",
            "full_name_color": "#000000",
            "text_color": "#000000",
            "link_color": "#000000",
            "facebook": "",
            "threads": "",
            "x": "",
            "instagram": "",
            "youtube": "",
            "tiktok": "",
            "spotify": "",
            "pinterest": "",
            "linkedin": "",
            "snapchat": "",
            "twitch": "",
            "discord": "",
            "github": "",
            "reddit": ""
        },
        "last_datetime": "2026-08-13 14:59:03",
        "datetime": "2026-08-13 14:59:03"
    }
}
DELETE https://olinke.com/api/signatures/{signature_id}
curl --request DELETE \
--url 'https://olinke.com/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \